<% local view, viewlibrary, page_info, session = ... 
require("htmlviewfunctions")
html = require("acf.html")
%>

<% htmlviewfunctions.displaycommandresults({"editsmtpfile", "delsmtpfile"}, session) %>
<% htmlviewfunctions.displaycommandresults({"createsmtpfile"}, session, true) %>

<H1>Files</H1>
<DL>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">File</TD>
	</TR>
<% for i,file in ipairs(view.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
		<% if viewlibrary.check_permission("editsmtpfile") then %>	
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/editsmtpfile?filename="..file.."&redir="..page_info.orig_action, label="Edit "} %>
		<% end %>
		<% if viewlibrary.check_permission("delsmtpfile") then %>	
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/delsmtpfile?submit=true&filename="..file, label="Delete "} %>
		<% end %>
		</TD>
		<TD style="white-space:nowrap;"><%= html.html_escape(file) %></TD>
	</TR>
<% end %>
</TABLE>
</DL>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("createsmtpfile") then
	local createform = viewlibrary.dispatch_component("createsmtpfile", nil, true) %>
<H2><%= html.html_escape(createform.label) %></H2>
<%
	createform.action = page_info.script .. page_info.prefix .. page_info.controller .. "/createsmtpfile"
	htmlviewfunctions.displayform(createform)
end %>
